Bug 1292322 - blivet.errors.DeviceTreeError: failed to add slave ddf1_4c534920202020201000007910009277471147116bfd95a2 of device ddf1_4c534920202020201000007910009277471147116bfd95a2p1
blivet.errors.DeviceTreeError: failed to add slave ddf1_4c5349202020202010000...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
abrt_hash:93b0f35ba487e9c91df512c47f6...
:
: 1295141 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 22:25 EST by Vladimir Kukuruzovic
Modified: 2017-12-12 06:09 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:09:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (539.38 KB, text/plain)
2015-12-16 22:25 EST, Vladimir Kukuruzovic
no flags Details
File: anaconda.log (8.40 KB, text/plain)
2015-12-16 22:25 EST, Vladimir Kukuruzovic
no flags Details
File: environ (537 bytes, text/plain)
2015-12-16 22:25 EST, Vladimir Kukuruzovic
no flags Details
File: journalctl (358.74 KB, text/plain)
2015-12-16 22:25 EST, Vladimir Kukuruzovic
no flags Details
File: lsblk_output (5.39 KB, text/plain)
2015-12-16 22:25 EST, Vladimir Kukuruzovic
no flags Details
File: nmcli_dev_list (2.79 KB, text/plain)
2015-12-16 22:25 EST, Vladimir Kukuruzovic
no flags Details
File: os_info (518 bytes, text/plain)
2015-12-16 22:25 EST, Vladimir Kukuruzovic
no flags Details
File: program.log (30.77 KB, text/plain)
2015-12-16 22:25 EST, Vladimir Kukuruzovic
no flags Details
File: storage.log (122.55 KB, text/plain)
2015-12-16 22:25 EST, Vladimir Kukuruzovic
no flags Details
File: ifcfg.log (6.09 KB, text/plain)
2015-12-16 22:25 EST, Vladimir Kukuruzovic
no flags Details

  None (edit)
Description Vladimir Kukuruzovic 2015-12-16 22:25:35 EST
Description of problem:
Started the install, and it failed immediately. I have asus x99-e ws motherboard, e5-2660v3 cpu, nvidia gtx 970, and I removed all other hw :(

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 274, in _addSlaveDevices
    raise DeviceTreeError(msg)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 305, in addUdevDMDevice
    slave_devices = self._addSlaveDevices(info)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 715, in addUdevDevice
    device = self.addUdevDMDevice(info)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1692, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1623, in populate
    self._populate()
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 554, in populate
    self._populator.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 279, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1157, in storageInitialize
    storage.reset()
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 171, in raise_if_error
    raise exc_info[0](exc_info[1]).with_traceback(exc_info[2])
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 116, in wait
    self.raise_if_error(name)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/timezone.py", line 76, in time_initialize
    threadMgr.wait(THREAD_STORAGE)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
blivet.errors.DeviceTreeError: failed to add slave ddf1_4c534920202020201000007910009277471147116bfd95a2 of device ddf1_4c534920202020201000007910009277471147116bfd95a2p1

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-23-10 ro rd.live.image quiet rhgb
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-blivet-1.12.8-1.fc23.noarch, python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Vladimir Kukuruzovic 2015-12-16 22:25:42 EST
Created attachment 1106565 [details]
File: anaconda-tb
Comment 2 Vladimir Kukuruzovic 2015-12-16 22:25:44 EST
Created attachment 1106566 [details]
File: anaconda.log
Comment 3 Vladimir Kukuruzovic 2015-12-16 22:25:45 EST
Created attachment 1106567 [details]
File: environ
Comment 4 Vladimir Kukuruzovic 2015-12-16 22:25:49 EST
Created attachment 1106568 [details]
File: journalctl
Comment 5 Vladimir Kukuruzovic 2015-12-16 22:25:50 EST
Created attachment 1106569 [details]
File: lsblk_output
Comment 6 Vladimir Kukuruzovic 2015-12-16 22:25:51 EST
Created attachment 1106570 [details]
File: nmcli_dev_list
Comment 7 Vladimir Kukuruzovic 2015-12-16 22:25:53 EST
Created attachment 1106571 [details]
File: os_info
Comment 8 Vladimir Kukuruzovic 2015-12-16 22:25:55 EST
Created attachment 1106572 [details]
File: program.log
Comment 9 Vladimir Kukuruzovic 2015-12-16 22:25:57 EST
Created attachment 1106573 [details]
File: storage.log
Comment 10 Vladimir Kukuruzovic 2015-12-16 22:25:58 EST
Created attachment 1106574 [details]
File: ifcfg.log
Comment 11 Stuart D Gathman 2016-01-02 14:49:56 EST
Another user experienced a similar problem:

Attempted to start Install to Hard Drive

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/syslinux/vmlinuz0 root=live:LABEL=LIVE rw rd.live.image rd.live.overlay=LABEL=LIVE quiet rhgb rd.live.check
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         blivet.errors.DeviceTreeError: failed to add slave pdc_hccjjc of device pdc_hccjjc1
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 12 Stuart D Gathman 2016-01-02 16:15:03 EST
Removed the 2nd disk.  Have just one SATA disk now.  Anaconda doesn't see it at all!!  fdisk, pvcreate, mkswap, mkfs, vgcreate, lvcreate, etc, all work just fine from command line - so anaconda is full of it.
Comment 13 Stuart D Gathman 2016-01-03 16:57:40 EST
*** Bug 1295141 has been marked as a duplicate of this bug. ***
Comment 14 Stuart D Gathman 2016-01-03 17:00:36 EST
I've narrowed this down to the drive in my case.  The drive is a ST3750330AS, and F23 installs on a different drive model in the same desktop.  Again, only anaconda is affected - the drive works just fine in Fedora.  The workaround is to install anaconda on a another disk, then copy over the installation.  Anaconda somehow sees something that makes it decide not to work.
Comment 15 Stuart D Gathman 2016-01-03 17:04:05 EST
I also tried installing to the ST3750330AS on two different desktops - one AMD chipset with AMD video, the other Intel chipset with Intel video.  It fails on both.  And works with other drive models.  So it is something about the drive that anaconda doesn't like.  (Drive works great.)
Comment 16 Stuart D Gathman 2016-01-03 17:05:54 EST
# hdparm -I /dev/sda

/dev/sda:

ATA device, with non-removable media
	Model Number:       ST3750330AS                             
	Serial Number:      5QK01Y7Q
	Firmware Revision:  SD14    
Standards:
	Supported: 7 6 5 4 
	Likely used: 8
Configuration:
	Logical		max	current
	cylinders	16383	16383
	heads		16	16
	sectors/track	63	63
	--
	CHS current addressable sectors:   16514064
	LBA    user addressable sectors:  268435455
	LBA48  user addressable sectors: 1465149168
	Logical/Physical Sector size:           512 bytes
	device size with M = 1024*1024:      715404 MBytes
	device size with M = 1000*1000:      750156 MBytes (750 GB)
	cache/buffer size  = unknown
	Nominal Media Rotation Rate: 7200
Capabilities:
	LBA, IORDY(can be disabled)
	Queue depth: 32
	Standby timer values: spec'd by Standard, no device specific minimum
	R/W multiple sector transfer: Max = 16	Current = 16
	Recommended acoustic management value: 254, current value: 0
	DMA: mdma0 mdma1 mdma2 udma0 udma1 udma2 udma3 udma4 udma5 *udma6 
	     Cycle time: min=120ns recommended=120ns
	PIO: pio0 pio1 pio2 pio3 pio4 
	     Cycle time: no flow control=120ns  IORDY flow control=120ns
Commands/features:
	Enabled	Supported:
	   *	SMART feature set
	    	Security Mode feature set
	   *	Power Management feature set
	   *	Write cache
	   *	Look-ahead
	   *	Host Protected Area feature set
	   *	WRITE_BUFFER command
	   *	READ_BUFFER command
	   *	DOWNLOAD_MICROCODE
	    	SET_MAX security extension
	   *	48-bit Address feature set
	   *	Device Configuration Overlay feature set
	   *	Mandatory FLUSH_CACHE
	   *	FLUSH_CACHE_EXT
	   *	SMART error logging
	   *	SMART self-test
	    	General Purpose Logging feature set
	   *	64-bit World wide name
	   *	Write-Read-Verify feature set
	   *	WRITE_UNCORRECTABLE_EXT command
	   *	Gen1 signaling speed (1.5Gb/s)
	   *	Native Command Queueing (NCQ)
	   *	Phy event counters
	   *	Software settings preservation
	   *	SMART Command Transport (SCT) feature set
	   *	SCT Read/Write Long (AC1), obsolete
	   *	SCT Error Recovery Control (AC3)
	   *	SCT Features Control (AC4)
	   *	SCT Data Tables (AC5)
Security: 
	Master password revision code = 65534
		supported
	not	enabled
	not	locked
		frozen
	not	expired: security count
		supported: enhanced erase
Logical Unit WWN Device Identifier: 5000c500028cf1d9
	NAA		: 5
	IEEE OUI	: 000c50
	Unique ID	: 0028cf1d9
Checksum: correct
Comment 17 Stuart D Gathman 2016-01-03 20:21:22 EST
Solved: running wipefs /dev/sda revealed a RAID superblock at the end of the disk.  wipefs -a /dev/sda got an error, so anaconda was probably similarly confused.  wipefs -a -f /dev/sda wiped the superblock, and anaconda was then able to run normally.
Comment 18 Stuart D Gathman 2016-01-03 20:53:45 EST
Put the other disk back in.  Anaconda crashes again.  The other disk is a windows disk (not to be wiped).  Will go back to one disk.
Comment 19 David Lehman 2016-01-04 16:24:38 EST
It looks like we need a better message for the user when this happens. Meanwhile, here is some relevant information:

1. RAID arrays that use the DDF metadata format are not supported as an installation target for Fedora.
2. Obsolete/stale firmware RAID metadata must be removed before installing Fedora. See the wipefs man page for how to do this. No, the installer should not do this for you since only you know whether the metadata is spurious or should be honored/kept.
Comment 20 Stuart D Gathman 2016-01-04 17:46:59 EST
The problem is: someone/something (BIOS? Fedora?) is writing the raid superblock at every boot.  There is no actual RAID.  (I hate hardware raid controllers.)  I can wipe it with wipefs, but it gets put back again at next boot.  It also prevents mounting the NTFS filesystems on the Windows disk (device busy).  

As far as anaconda is concerned, you can't actually install on a system with this controller.  I moved the disk to another desktop, wipefs and installed, then moved it back.  We need to either tell the aspiring end-user that no, we don't support this braindead controller, or fix whatever is broken in Fedora (why is the device considered "busy" when it obviously isn't?).

So this is looking like the disk controller rather than the disk.  

Here is lspci for this system on which anaconda fails:
00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (external gfx0 port B) (rev 02)
00:00.2 IOMMU: Advanced Micro Devices, Inc. [AMD/ATI] RD990 I/O Memory Management Unit (IOMMU)
00:02.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (PCI express gpp port B)
00:05.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (PCI express gpp port E)
00:11.0 RAID bus controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 SATA Controller [RAID5 mode] (rev 40)
00:12.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:12.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:13.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:13.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 SMBus Controller (rev 42)
00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia (Intel HDA) (rev 40)
00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 LPC host controller (rev 40)
00:14.4 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 PCI to PCI Bridge (rev 40)
00:14.5 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
00:15.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB700/SB800/SB900 PCI to PCI bridge (PCIE port 0)
00:15.1 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB700/SB800/SB900 PCI to PCI bridge (PCIE port 1)
00:15.2 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB900 PCI to PCI bridge (PCIE port 2)
00:15.3 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB900 PCI to PCI bridge (PCIE port 3)
00:16.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:16.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 15h Processor Function 0
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 15h Processor Function 1
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 15h Processor Function 2
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 15h Processor Function 3
00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 15h Processor Function 4
00:18.5 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 15h Processor Function 5
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Caicos PRO [Radeon HD 7450]
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Caicos HDMI Audio [Radeon HD 6400 Series]
02:00.0 USB controller: Texas Instruments TUSB73x0 SuperSpeed USB 3.0 xHCI Host Controller (rev 02)
06:00.0 Network controller: Broadcom Corporation BCM43225 802.11b/g/n (rev 01)
07:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)
Comment 21 Stuart D Gathman 2016-01-04 17:51:54 EST
dmraid -r outputs:
/dev/sda: pdc, "pdc_ddecfjf", stripe, ok, 1464843648 sectors, data@ 0

I see there is a command line option for anaconda to disable dmraid.  Maybe that would have worked?
Comment 22 Stuart D Gathman 2016-01-04 20:59:11 EST
Solved: adding nodmraid to kernel command line when booting the live media avoids the problem.  I also did systemctl disable dmraid-activation.  I'm not sure which was effective (or if both were needed).
Comment 23 Bill 2016-01-31 10:09:56 EST
Another user experienced a similar problem:

I loaded Anaconda by clicking the install Fedora Option and then it crashed with this report.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         blivet.errors.DeviceTreeError: failed to add slave ddf1_App_Drive of device ddf1_App_Drive1
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 24 Bill 2016-01-31 10:36:04 EST
Adding "nodmraid" to the boot options did resolve the error, However I do need dmraid so I wasn't able to install Fedora 23 :-(
Comment 25 Bill 2016-01-31 22:20:00 EST
I just worked around it, Reinstalled Ver. 22 Fresh, then upgraded. Not a fan of upgrades and the existing install wouldn't upgrade. So I just wiped and started again with 22. At any rate I have Ver. 23 installed now. - shrugs - I hope this is fixed By Ver. 24
Comment 26 James 2016-02-03 23:55:08 EST
I get a similar error under the same circumstances. The live USB runs and target install disk mounts okay but Anaconda immediately quits with the same error message in the bug report. Adding 'nodmraid' to the boot options allowed Anaconda to proceed but then the drive doesn't appear as an installation target anymore.


The drive is a Samsung 850 Pro and never was part of any RAID array.
Comment 27 David Lehman 2016-02-29 08:57:48 EST
Has anyone checked for RAID settings in their firmware? It's worth checking for.
Comment 28 David Brama 2016-03-16 17:09:58 EDT
Another user experienced a similar problem:

started anaconda from usb live

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/syslinux/vmlinuz0 root=live:LABEL=LIVE rw rd.live.image rd.live.overlay=LABEL=LIVE quiet rhgb
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         blivet.errors.DeviceTreeError: failed to add slave pdc_gaiiejjg of device pdc_gaiiejjg1
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 29 Kamil J. Dudek 2016-03-20 16:40:54 EDT
Another user experienced a similar problem:

rd.md=0 does not prevent from trying to access the RAID. CentOS actually can find and use it, but it fails nonetheless.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-WS-23-x86_64 rd.md=0
dnf.rpm.log:    Mar 20 20:12:17 INFO --- logging initialized ---
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
package:        anaconda-23.19.10-1
product:        Fedora
reason:         blivet.errors.DeviceTreeError: failed to add slave jmicron_WDC500RAID0 of device jmicron_WDC500RAID0p1
release:        Cannot get release name.
version:        23
Comment 30 paul.veghes 2016-04-17 13:34:28 EDT
Another user experienced a similar problem:

Hi,
bug report while trying to install fedora on my hard drive

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-blivet-1.12.8-1.fc23.noarch, python3-libs-3.4.3-5.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         blivet.errors.DeviceTreeError: failed to add slave nvidia_dicedgbf of device nvidia_dicedgbf1
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 31 Toxic Waste 2016-05-14 10:52:10 EDT
Another user experienced a similar problem:

I just started the installer, selected German language and Swiss German Layout. While searching my multiple discs the installer crashes.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 live_dir=/multiboot/Fedora-Live-KDE-x86_64-23-10/LiveOS initrd=initrd0.img root=live:LABEL=MULTIBOOT live_dir=/multiboot/Fedora-Live-KDE-x86_64-23-10/LiveOS NULL=Fedora-Live-KDE-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         blivet.errors.DeviceTreeError: failed to add slave pdc_dffgidgbdb of device pdc_dffgidgbdb1
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 32 Greg Stewart 2016-06-19 15:16:17 EDT
Another user experienced a similar problem:

Fedora 23 Live USB installation to hard drive

Get errors on select language/keyboard screen, without any ability to select language, or click "continue".

Live distro runs fro USB, and appears fully functional during testing.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-blivet-1.12.8-1.fc23.noarch, python3-libs-3.4.3-5.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         blivet.errors.DeviceTreeError: failed to add slave pdc_eiidhffja of device pdc_eiidhffja1
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 33 Fedora End Of Life 2016-11-24 09:17:21 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 34 Stuart D Gathman 2016-11-27 21:04:51 EST
Still broken on F25.  Checking if workarounds are still effective.
Comment 35 Stuart D Gathman 2016-11-27 21:13:37 EST
Hmmm.  Seems like it might be a different error now.  Can't find osimg on live base.  I'd report, but the Wifi is broken on F25 also.
Comment 36 Stuart D Gathman 2016-11-27 21:34:19 EST
It's the same or similar bug.  Setting emulation to ACHI in BIOS does not change anything.  Adding nodmraid to the kernel command line gets farther, but to actually install you also need to run fdisk and create an empty partition table.
Comment 37 Greg Stewart 2016-11-27 23:14:38 EST
The only way I got around this in FC23 and FC24 was to install a new PCI SATA RAID card to bypass the on-board controller. I have not tried to install FC25, and when I do, now that I've spent a few hundred on a new controller, I may not bother to test on the old on-board controller again.
Comment 38 Fedora End Of Life 2017-11-16 13:39:14 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 39 Fedora End Of Life 2017-12-12 06:09:16 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.